apiVersion: apps/v1
kind: StatefulSet
metadata:
  labels:
    app: mssql
  name: mssql
 
spec:
  selector:
    matchLabels:
      app: mssql
  serviceName: mssql
  replicas: 2
  template:
    metadata:
      labels:
        app: mssql
    spec:
      containers:
        - name: mssql
          image: mcr.microsoft.com/mssql/server
          ports:
            - containerPort: 1433
              name: db-port
          env:
            - name: ACCEPT_EULA
              value: "Y"
            - name: MSSQL_SA_PASSWORD
              value: sa
            - name: SA_PASSWORD
              value: "P@ssaword"
          volumeMounts:
            - name: dbdata
              mountPath: /var/opt/mssql

  volumeClaimTemplates:
    - metadata:
        name: dbdata
        annotations:
          appuio.ch/backup: "true"
      spec:
        accessModes:
          - ReadWriteOnce
        # storageClassName: local-path
        resources:
          requests:
            storage: 1Gi
